<?

class select_flash_category extends form_select {


    function getOptionList() {
        $category = func_new("flash_category");
        foreach($category->getTree() as $c) {
            $res[$c["id"]] = $c["name"];
        }
        $res[0] = "#Root";
        return $res;
    }


    function getTemplate() {
        return "components/select_category.tpl";
    }

}
?>